#ifndef CRYPT_XTEA_H
#define CRYPT_XT_H

#define XTEA_KEY_LENGTH 16
#define XTEA_BLOCK_LENGTH 8
#define XTEA_BLOCK_LENGTH1 7
#define XTEA_BYTES_PER_WORD 4
#define XTEA_BYTES_PER_WORD_BITS 2

void xteabEncode(uint32 *v, uint32 n, uint32 *k);
void xteabDecode(uint32 *v, uint32 n, uint32 *k);

#endif //CRYPT_XTEA_H
